Bug 1632452 (CVE-2018-3831)

Summary: CVE-2018-3831 elasticsearch: Information exposure via _cluster/settings API
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahardin, alazarot, anstephe, apevec, bkearney, bleanhar, bobjensen, cbillett, ccoleman, chrisw, dedgar, eparis, etirelli, ibek, java-sig-commits, jgoulding, jjoyce, jokerman, jschluet, jvanek, krathod, kverlaen, lhh, lpeer, markmc, mburns, mchappel, mmagr, pahan, paradhya, rbryant, rrajasek, rsynek, rzhang, sclewis, sdaley, slinaber, tdecacqu, tomckay, zbyszek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: elasticsearch 6.4.1, elasticsearch 5.6.12 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-28 19:27:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1632454, 1632971, 1632972, 1632973    
Bug Blocks: 1632455    

Description Pedro Sampaio 2018-09-24 20:25:17 UTC
Elasticsearch Alerting and Monitoring in versions before 6.4.1 or 5.6.12 have an information disclosure issue when secrets are configured via the API. The Elasticsearch _cluster/settings API, when queried, could leak sensitive configuration information such as passwords, tokens, or usernames. This could allow an authenticated Elasticsearch user to improperly view these details.

References:

https://discuss.elastic.co/t/elastic-stack-6-4-1-and-5-6-12-security-update/149035
https://www.elastic.co/community/security

Comment 1 Pedro Sampaio 2018-09-24 20:26:08 UTC
Created elasticsearch tracking bugs for this issue:

Affects: fedora-all [bug 1632454]

Comment 2 Joshua Padman 2018-09-26 00:47:23 UTC
Created elasticsearch tracking bugs for this issue:

Affects: fedora-all [bug 1632971]

Comment 4 Jason Shepherd 2018-10-12 07:06:10 UTC
OpenShift uses Search Guard [1] to protect the affected the _cluster/settings endpoint with certificate based authentication. Therefore none of the OpenShift 3.x versions are affected.

[1] https://docs.search-guard.com/latest/index

Comment 5 Cedric Buissart 2018-12-11 10:47:31 UTC
Statement:

Subscription Asset Manager is now in a reduced support phase receiving only Critical impact security fixes. This issue has been rated as having a security impact Moderate, and is not currently planned to be addressed in future updates.

Comment 6 Joshua Padman 2019-05-15 22:39:04 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 9 errata-xmlrpc 2020-07-28 15:54:10 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192

Comment 10 Product Security DevOps Team 2020-07-28 19:27:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-3831